Bug 4842 - mark "config.ps" as a configuration file
mark "config.ps" as a configuration file
Product: Red Hat Raw Hide
Classification: Retired
Component: tetex (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Depends On:
  Show dependency treegraph
Reported: 1999-09-01 20:29 EDT by Ben Liblit
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 1999-09-03 17:02:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ben Liblit 1999-09-01 20:29:44 EDT
The file "/usr/share/texmf/dvips/config/config.ps" defines,
among other things, the default page size.  As packaged by
RedHat this is initially A4.  Most American users will want
to edit the file to change the default to US letter sized

This is easy enough to do: move the line reading "@
letterSize 8.5in 11in" so that it appears before the line
reading "@ A4size 210mm 297mm".  Existing bugs 3379 and 3512
mention this issue.

However, "config.ps" is not marked as a configuration file
in tetex-dvips-1.0.6-4.  When upgrading to new versions of
that package, "config.ps" is silently replaced.  This is
rather annoying.

"config.ps" should be marked as a configuration file.
RedHat may also want to consider other approaches, such as
using virtual packages with A4 and letter variants, to make
it easier for novice users to get the right paper size
without studying dvips documentation.
Comment 1 Jeff Johnson 1999-09-02 10:43:59 EDT
This problem is fixed in #3397. Supply a DVIPS_OPTIONS="-t letter"
that is now honored AFAIK. Please reopen if #3397 does not actually
solve the problem and I'll try to get this sorted out.
Comment 2 Ben Liblit 1999-09-02 20:06:59 EDT
While bug #3379 is certainly related, the fix described there does not
address the problem documented here.  Bug #3379 is concerned only with
the RedHat printing infrastructure, and the suggested fix using
$DVIPS_OPTIONS only works in conjunction with RedHat's print filter

The bug described here is more basic: that "dvips" cannot be
reconfigured to use a different paper size without those configuration
changes being undone by a subsequent RPM upgrade.  I am not talking
about using RedHat's print filters; I am simply talking about using
"dvips" to produce a PostScript file.  Note that there are many
instances where one will want to produce a PostScript file without
immediately printing it.  For example, PostScript documents are the
common medium of exchange for research papers in computer science, and
doubtless many other fields.  Thus, it must be possible to configure
"dvips" properly on its own.

I have no issue with RedHat's printing infrastructure per se.  But a
paper size solution that only works within that context is just not
sufficiently general.
Comment 3 Jeff Johnson 1999-09-03 17:02:59 EDT
/usr/share/texmf/dvips/config/config.ps is marked %config in

Note You need to log in before you can comment on or make changes to this bug.